<?php
// エラー表示止め
ini_set('error_reporting', E_ALL | E_STRICT);
ini_set('display_errors', 'off');
require_once("apiconfig.php");
require_once("apifunc.php");
require_once("Cache/Lite.php");
$keyword=$_GET["keyword"];
$keyword4url=urlencode($keyword);

$url="http://feed.linksynergy.com/productsearch?token=$lstoken&keyword=$keyword4url&sort=retailprice&sorttype=dsc&max=10";

// キャッシュ初期設定
$cacheId = $url;
$cache_lite = new Cache_Lite($cacheOptions);
// キャッシュがあればキャッシュからデータを取得、でなければAPI へリクエスト
if ($cache = $cache_lite->get($cacheId)) {
$lscosBuff = $cache;
} else {
$lscosBuff = file_get_contents($url);
$cache_lite->save($lscosBuff,$cacheId);//XMLをキャッシュへ保存
}

$xml=simplexml_load_string($lscosBuff);
$hits=$xml->item;
?>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="keywords" content="<?php echo h($keyword); ?>,商品検索,アフィリエイトサイト"> 
<meta name="description" content="<?php echo h($keyword); ?>の検索や関連商品の紹介。そのほかお買い得商品もさがせる検索サイト" > 
<title><?php echo h($keyword); ?>の検索結果</title>
</head>

<body>
「<?php echo h($keyword); ?>」の検索結果<br>
<?php foreach ($hits as $hit) { ?>
<h2 style="clear:both;"><a href="<?php echo h($hit->linkurl); ?>"><?php echo h($hit->productname); ?></a></h2>
<img src="<?php echo h($hit->imageurl); ?>" style="float:left;">
<span style="color:#ff0000;font-size:28px"><?php echo number_format(h($hit->price)); ?>円</span><br>
<?php echo h($hit->description->long); ?><br>
<?php } ?>

</body>
</html>
