<?php
require_once("apiconfig.php");
require_once("apifunc.php");
// パラメータの値を取得(GET)
$checkin=$_GET["checkin"];
$checkout=$_GET["checkout"];
$adult = $_GET['adult'];
$lat = $_GET['lat'];
$lng = $_GET['lng'];

$url="http://api.rakuten.co.jp/rws/3.0/rest?developerId=$rwsdevid&operation=VacantHotelSearch&version=2009-10-20&checkinDate=$checkin&checkoutDate=$checkout&adultNum=$adult&latitude=$lat&longitude=$lng&datumType=1&affiliateId=$rwsaffid";
echo $url;
$rwsBuff = file_get_contents($url);
$rwsBuff = str_replace('header:Header','headerHeader',$rwsBuff);
$rwsBuff = str_replace('vacantHotelSearch:VacantHotelSearch','vacantHotelSearchVacantHotelSearch',$rwsBuff);
$xml = simplexml_load_string ($rwsBuff);
$hits=$xml->Body->vacantHotelSearchVacantHotelSearch->hotel;
?>
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Script-Type" content="text/javascript">
<link href="rakutabiyuimou.css" rel="stylesheet" type="text/css">

<title>楽旅結網</title>
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
</head>

<body>
<div id="wrapper">

<header><img src="rakutabiyuimoulogo.jpg" width="980" height="91" alt="楽旅結網"></header>

<div id="contents" style="clear:both" class="clearfix">
<div id="main">
検索結果<br>
<?php foreach ($hits as $hit) { ?>
<h2 style="clear:both;"><a href="<?php echo h($hit->hotelInfo->hotelBasicInfo->hotelInformationUrl); ?>"><?php echo h($hit->hotelInfo->hotelBasicInfo->hotelName); ?></a></h2>
<a href="<?php echo h($hit->hotelInfo->hotelBasicInfo->hotelInformationUrl); ?>"><img src="<?php echo h($hit->hotelInfo->hotelBasicInfo->hotelThumbnailUrl); ?>" style="float:left;margin:10px;"></a>
<?php echo h($hit->hotelInfo->hotelBasicInfo->hotelSpecial); ?><br>
住所：<?php echo h($hit->hotelInfo->hotelBasicInfo->postalCode); ?>
<?php echo h($hit->hotelInfo->hotelBasicInfo->address1); ?>
<?php echo h($hit->hotelInfo->hotelBasicInfo->address2); ?><br>
アクセス：<?php echo h($hit->hotelInfo->hotelBasicInfo->access); ?><br>
駐車場：<?php echo h($hit->hotelInfo->hotelBasicInfo->parkingInformation); ?><br>
最寄り駅：<?php echo h($hit->hotelInfo->hotelBasicInfo->nearestStation); ?><br>
<?php foreach ($hit->roomInfo as $room) { ?>
プラン名：<a href="<?php echo h($room->roomBasicInfo->reserveUrl); ?>"><?php echo h($room->roomBasicInfo->roomName); ?></a><br>
宿泊日：<?php echo h($room->dailyCharge->stayDate); ?>　<?php echo number_format(h($room->dailyCharge->total)); ?>円<br>

<?php } ?>

<?php } ?>
</div>

<div id="side">
	　　
	
	
	
	
	
	
	
</div>

</div>
<footer>
copyright WebサービスAPI勉強会.
</footer>
</div>
</body>
</html>
