<?php
require_once("apifunc.php");
// ニッセンセール情報
$nissensale = "http://feed.nissen.co.jp/f3206/index.rdf";
$rss_nissensale = file_get_contents($nissensale);
$rss_nissensale=str_replace("dc:","dc",$rss_nissensale);
$rss_nissensale=str_replace("rdf:","rdf",$rss_nissensale);
$xml = simplexml_load_string ($rss_nissensale);
$hits = $xml->item;
?>

<!DOCTYPE HTML>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<link rel="stylesheet" type="text/css" href="base.css" />

<title>LSショッピング</title>
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

</head>

<body>

<div id="wrapper">

<header>

<div id="logo" class="clearfix">
<p>さまざまなECサイトから商品を見つけるショッピングサイト</p>
<h1><a href="lsshoppingtop.php">LSショッピング</a></h1>
</div><!-- logo -->

</header>

<br clear="all">

<div id="searchbar">
<nav>
<form action="lsshoppingsearch.php" method="get">
キーワード：<input type="text" name="keyword" size="40">
<input type="submit" value="検索">
</form>
</nav>
</div><!--/searchbar-->

<div id="contents" style="clear:both" class="clearfix">
<div id="main">

<article>



</article>

<article>

<h1>新着情報</h1>

<h2>ニッセンセール情報</h2>

<ol>
<?php $i=0; ?>
<?php foreach ($hits as $hit) { ?>
<?php $i=$i+1; ?>
<?php $str=h($hit->dcdate);
$time=strtotime($str);
$str=date("Y.n.j",$time);
?>

<li><a href="<?php echo h($hit->link); ?>"><?php echo h($hit->title); ?></a>(<?php echo $str; ?>)</li>

<?php if ($i==3) { break; } ?>
<?php } ?>
</ol>

</article>



</div><!--main-->

<div id="side">
<aside>
<h2>掲載ECサイト</h2><br>

<div class="banner">
<!-- nissen23x	60 -->
<a href="http://click.linksynergy.com/fs-bin/click?id=FHGWPj*lYrY&offerid=130577.10000020&type=4&subid=0"><IMG alt="ニッセン" border="0" src="http://www.nissen.co.jp/other_site/rogo/logo_sho_234_60.gif"></a><IMG border="0" width="1" height="1" src="http://ad.linksynergy.com/fs-bin/show?id=FHGWPj*lYrY&bids=130577.10000020&type=4&subid=0">
<br>
<!-- ベルメゾン -->
<a href="http://click.linksynergy.com/fs-bin/click?id=FHGWPj*lYrY&offerid=47523.10000008&type=4&subid=0"><IMG alt="ベルメゾンネット" border="0" src="http://www2.bellemaison.jp/pc/premoni/ad/lsimg/bn_logo_234_60.gif"></a><IMG border="0" width="1" height="1" src="http://ad.linksynergy.com/fs-bin/show?id=FHGWPj*lYrY&bids=47523.10000008&type=4&subid=0">
<br>
<!-- セシール -->
<a href="http://click.linksynergy.com/fs-bin/click?id=FHGWPj*lYrY&offerid=101174.10002452&type=4&subid=0"><IMG alt="セシール" border="0" src="http://www.cecile.co.jp/aff/lsimg/cecile_200x40.gif"></a><IMG border="0" width="1" height="1" src="http://ad.linksynergy.com/fs-bin/show?id=FHGWPj*lYrY&bids=101174.10002452&type=4&subid=0">
<br>
<!-- スクロール -->
<a href="http://click.linksynergy.com/fs-bin/click?id=FHGWPj*lYrY&offerid=53529.10000862&type=4&subid=0"><IMG alt="2009年10月よりムトウOn-line ShopはScroll Shop（スクロールショップ）にサイト名称が変更となりました。" border="0" src="http://www.scroll-shop.com/aff/images/mutow__120_60.jpg"></a><IMG border="0" width="1" height="1" src="http://ad.linksynergy.com/fs-bin/show?id=FHGWPj*lYrY&bids=53529.10000862&type=4&subid=0">
<br>

</div><!--banner-->
</aside>
</div><!--side -->
</div><!--contents-->

<footer>
<p>
copyright WebサービスAPI勉強会<br>
　
<!-- Begin Yahoo! JAPAN Web Services Attribution Snippet -->
<a href="http://developer.yahoo.co.jp/about">
<img src="http://i.yimg.jp/images/yjdn/yjdn_attbtn1_125_17.gif" title="Webサービス by Yahoo! JAPAN" alt="Web Services by Yahoo! JAPAN" width="125" height="17" border="0" style="margin:15px 15px 15px 15px"></a>
<!-- End Yahoo! JAPAN Web Services Attribution Snippet -->
</p>
</footer>


</div><!-- wrapper -->

</body>

</html>
