<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Script-Type" content="text/javascript">
<link href="rakutabiyuimou.css" rel="stylesheet" type="text/css">
<title>楽旅結網</title>
<!--[if IE]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<!-- ↓Google Maps API JavaScript部分を入れる↓ -->
<!-- 【１】Google Maps APIを呼び出し-->
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=ja"></script>

<!-- 【2】どんな地図を描くかのメイン処理 -->
<script type="text/javascript">

var geocoder = new google.maps.Geocoder();

function geocodePosition(pos) {
  geocoder.geocode({
    latLng: pos
  }, function(responses) {
    if (responses && responses.length > 0) {
      updateMarkerAddress(responses[0].formatted_address);
    } else {
      updateMarkerAddress('この地域では住所がわかりませんでした');
    }
  });
  }
  
function updateMarkerAddress(str) {
  document.getElementById('address').innerHTML = str;
}

// ■地図初期化し表示
function initialize(position) {

  // ■地図を表示する緯度経度を指定する
  var latlng = new google.maps.LatLng(35.609836,139.748136);
  
  // ■地図必須プロパティを設定
  var myOptions = {
    
    // ■ズームレベルの指定 0～17
    zoom: 15,
    
    // ■地図の中心を指定（上記で設定の緯度経度latlng）
    center: latlng,
    
    // ■地図のタイプ設定
    // 　ROADMAP：デフォルト、SATELLITE：写真タイル、HYBRID：写真タイルと主要な機能、TERRAIN：物理的な起伏を示すタイル
    mapTypeId: google.maps.MapTypeId.ROADMAP
    
  };// 地図プロパティここまで
  
  // ■<div id="map_canvas">と結びつけて、その領域に地図を描く
  var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
  
  
  google.maps.event.addListener(map, 'dragend', function() {
    LatLngObj = map.getCenter();
	document.getElementById("mapY").value = LatLngObj.lat();
	document.getElementById("mapX").value = LatLngObj.lng();
	var latlng = new google.maps.LatLng(LatLngObj.lat(),LatLngObj.lng());
	geocodePosition(LatLngObj);
	});

}//initialize() 

</script>

<script src="lib/prototype.js" type="text/javascript"></script>
<script src="lib/effects.js" type="text/javascript"></script>
<script src="javascripts/protocalendar.js" type="text/javascript"></script>
<script src="javascripts/lang_ja.js" type="text/javascript"></script>
<script type="text/javascript">
  function changeStyle() {
	var cssName = $('calendar_style_select').options[$('calendar_style_select').selectedIndex].value;
//        alert('style changed [' + cssName + '].');
	$('calendar_style').href = 'stylesheets/' + cssName + '.css';
  }
  Event.observe(window, 'load', function() {
	Event.observe($('calendar_style_select'), 'change', changeStyle);
	changeStyle();
  });
</script>

</head>

<!-- ↓<body onload="initialize()">と書き換える↓ -->
<body onload="initialize()">
<div id="wrapper">

<header><img src="rakutabiyuimoulogo.jpg" width="980" height="91" alt="楽旅結網"></header>

<div id="contents" style="clear:both" class="clearfix">
<div id="main">
<h2>地図から選択</h2>
<!-- ↓マップを表示するdivタグを入れる↓ -->
<div id="map_canvas" style="width: 660px; height: 500px;"></div>
住所：<span id="address"></span>

<form action="rakutabiyuimouplanlist.php" method="get">
チェックイン日：<input id="checkin" name="checkin" type="text" />
<!--    <div id="checkin_label"></div>-->
    <script type="text/javascript">
      InputCalendar.createOnLoaded('checkin', {format: 'yyyy-mm-dd', labelEl: 'checkin_label', labelFormat: 'dddi dd mmm yyyy'});
    </script>
チェックアウト日：<input id="checkout" name="checkout" type="text" />
<!--   <div id="checkout_label"></div>-->
    <script type="text/javascript">
      InputCalendar.createOnLoaded('checkout', {format: 'yyyy-mm-dd', labelEl: 'checkout_label', labelFormat: 'dddi dd mmm yyyy'});
    </script>
大人<select name="adult"><option value="1">1</option><option value="2">2</option><option value="3">3</option></select>人
<input type="hidden" name="lat" id="mapY" />
<input type="hidden" name="lng" id="mapX" />
<input type="submit" value="検索" />
</form>


</div>

<div id="side">
	サイト広告枠
	
	
	
	
	
	
	
</div>

</div>
<footer>
copyright WebサービスAPI勉強会.
</footer>
</div>
</body>
</html>
